#include <stdio.h>

int main()
{
long long int a, b, x, y;
scanf("%lld%lld%lld%lld", &a, &b, &x, &y);
if(a == x && y == b)
{
printf("nijedan");
return 0;
}
if(a > x && b > y)
{
printf("?");
return 0;
}
if(a == x && y < b)
{
printf("drugi");
return 0;
}
if(y == b && a < x)
{
printf("prvi");
return 0;
}

return 0;
}